# Project: ipv6calc
# File   : TODO
# Version: $Id: 72df646624a2f79b47337e087afe859ebdc36c6f $

TODO list
=========

Next
----------

* add option to support LMDB instead of Berkeley DB because of license change in version 6


Short term
----------


Middle term
-----------

Format:
* octal:
    should also be understandable by input (currently, only output is supported)

IEEE/OUI library:
* perhaps more filtering of unnecessary information

Code quality:
* review & improvements

Help:
* add more examples in inline help

ipv6calcweb.cgi:
* add alarm wrapper around call of ipv6calc

Documentation:
* add more information to USAGE docs


Features requested from others:

-call no kernel-specific or userland-specific functions, just C.

ipv6calc C library would contain routines to represent the
following forms (and convert between them):
  -x:x:x:x:x:x:x:x                       
  -::                                    
  -x:x:x:x:x:x:d.d.d.d
  -ipv6-address/prefix-length
  -scoped_address%scope_id
  -base 85 (compact notation)
  -URL's
  -binary labels
  -comparing addresses, v4/v4, v4/v6
  -not use malloc or strxxx functions.


External dependencies
---------------------
Use of "splint" once variadic macros are supported http://splint.org/faq.html#quest18b
